# Class PeerList

#### Hierarchy

- unknown
  - PeerList

- Defined in src/protobuf/pb_pb.d.ts:5637
- Defined in src/protobuf/pb_pb.d.ts:5651

#####
Index

### Constructors

constructor

### Methods

addPeer
clearPeerList
getPeerList
serializeBinary
setPeerList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PeerList(): PeerList

- #### Returns PeerList

  Inherited from jspb.Message.constructor

## Methods

### addPeer

- addPeer(value?: Peer, index?: number): Peer

- #### Parameters

  - ##### `Optional` value: Peer

  - ##### `Optional` index: number

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:5641

### clearPeerList

- clearPeerList(): PeerList

- #### Returns PeerList

  - Defined in src/protobuf/pb_pb.d.ts:5640

### getPeerList

- getPeerList(): Peer[]

- #### Returns Peer[]

  - Defined in src/protobuf/pb_pb.d.ts:5638

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5643

### setPeerList

- setPeerList(value: Peer[]): PeerList

- #### Parameters

  - ##### value: Peer[]

  #### Returns PeerList

  - Defined in src/protobuf/pb_pb.d.ts:5639

### toObject

- toObject(includeInstance?: boolean): PeerList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PeerList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5644

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PeerList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PeerList

  - Defined in src/protobuf/pb_pb.d.ts:5647

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PeerList, reader: BinaryReader): PeerList

- #### Parameters

  - ##### message: PeerList

  - ##### reader: BinaryReader

  #### Returns PeerList

  - Defined in src/protobuf/pb_pb.d.ts:5648

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PeerList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PeerList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5646

### `Static` toObject

- toObject(includeInstance: boolean, msg: PeerList): PeerList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PeerList

  #### Returns PeerList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5645

Generated using TypeDoc